<div class="example-container">
  <mat-card class="example-card center">
    <mat-card-header class="centerContent">
      <mat-card-title>¿Cuál es tu lenguaje favorito?</mat-card-title>
    </mat-card-header>
    <mat-dialog-content>
      <form #myform="ngForm" class="example-form">
        <div class="contenedor">
          <mat-card-content>
            <mat-form-field class="example-full-width">
              <input matInput placeholder="Nombres" [(ngModel)]="encuesta.nombres" name="encuesta.nombres" required>
            </mat-form-field>
            <mat-form-field class="example-full-width">
              <input matInput placeholder="Apellidos" [(ngModel)]="encuesta.apellidos" name="encuesta.apellidos" required>
            </mat-form-field>
            <mat-form-field class="example-full-width">
              <input matInput placeholder="Edad" [(ngModel)]="encuesta.edad" name="encuesta.edad" required>
            </mat-form-field>
            <div>
              <mat-radio-group name="opciones" [(ngModel)]="opcionLenguaje">
                <mat-radio-button *ngFor="let op of tipoLenguajes" name="opciones" [value]="op"  style="margin: 10px">
                  {{op}}
                </mat-radio-button>
              </mat-radio-group>
            </div>
          </mat-card-content>
          <button mat-raised-button [disabled]="myform.invalid" color="primary" (click)="enviar()">Enviar</button>
        </div>
      </form>
    </mat-dialog-content>
  </mat-card>
</div>